<?php

class EFNumero extends AppElementoFormulario
{
	
	
	public function  __construct($spec,$options=null){
		parent::__construct($spec, $options);
		$validador = new Zend_Validate_Int();
		$validador->setMessage("'%value%' no es un numero");
		$this->addValidator($validador);
	}
	
	public function setValue($value){
		//$value = number_format($value, 0);
		parent::setValue($value);
	}
	
	/**
	 * Default form view helper to use for rendering
	 * @var string
	 */
	public $helper = 'formNumero';
}